### Class

# WPEPlatform Clipboard

#### Description

    class WPEPlatform.Clipboard : GObject.Object
    {
      WPEClipboardPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### wpe_clipboard_new

Create a new `WPEClipboard` for `display`. The clipboard created is always local, so its contents are not shared with other applications.

#### Instance methods

###### wpe_clipboard_get_change_count

Get the amount of times `clipboard` changed since it was created.

###### wpe_clipboard_get_content

Get the `WPEClipboardContent` previously set with wpe_clipboard_set_content(). This function returns `NULL` if `clipboard` is empty or its contents are owned by the system clipboard.

###### wpe_clipboard_get_display

Get the `WPEDisplay` of `clipboard`.

###### wpe_clipboard_get_formats

Get the MIME type formats that clipboard can provide.

###### wpe_clipboard_read_bytes

Get the contents of `clipboard` for the given MIME type `format` as bytes.

###### wpe_clipboard_read_text

Get the contents of `clipboard` for the given MIME type `format` as text.

###### wpe_clipboard_set_content

Set `content` on `clipboard`. Passing a `NULL` `content` will clear the `clipboard`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WPEPlatform.Clipboard:change-count

A counter of changes in the clipboard.

###### WPEPlatform.Clipboard:display

The `WPEDisplay` of the clipboard.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WPEPlatformClipboardClass {
      GObjectClass parent_class;
      GBytes* (* read) (
        WPEClipboard* clipboard,
        const char* format
      );
      void (* changed) (
        WPEClipboard* clipboard,
        GPtrArray* formats,
        gboolean is_local,
        WPEClipboardContent* content
      );
      gpointer padding;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`read: GBytes* (* read) ( WPEClipboard* clipboard, const char* format )`

  No description available.

`changed: void (* changed) ( WPEClipboard* clipboard, GPtrArray* formats, gboolean is_local, WPEClipboardContent* content )`

  No description available.

`padding: gpointer`

  No description available.

#### Virtual methods

###### WPEPlatform.ClipboardClass.changed

No description available.

###### WPEPlatform.ClipboardClass.read

No description available.